Page MenuHomePhabricator

Help panel: improve links in Czech help panel
Closed, ResolvedPublic

Description

After analyzing the first six weeks of help panel usage, we can see which of the five links in the help panel are getting clicked and which are not.

Czech

linknum_clickspercent
editpage1644
style822
view-more719
bebold38
guide26
notability00

Korean

linknum_clickspercent
image3231
quicktutorial2221
notability1615
citation1413
wikitextsyntax1312
view-more88

Users don't know what they will find behind the links when they click them -- they are deciding to click them based solely on their labels. Therefore, we should make sure that useful links are present and that they have clear titles.

We see that Korean's most popular link is about adding an image, and we also know that is the most common question that gets asked on the Czech help panel. Therefore, we should replace the "notability" link, which has gotten zero clicks, with one that is about adding an image, and its label should be "How to add an image".

We also see that Korean's second most popular link is a quick tutorial, which links to this page. It's possible that the fact that it is labeled with "quick" and "tutorial" is attractive to newcomers. We should change the label on the "guide" link to be say "quick tutorial" because that is an accurate description of what it contains and potentially may be clearer for newcomers.

So in summary:

  • Replace the "notability" link with a link about adding an image that is labeled "How to add an image". That link should be called "image" in the configuration.
  • Change the label of the "guide" link to say "Quick tutorial". Its name in the configuration can remain unchanged.

Event Timeline

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptMar 1 2019, 1:10 AM
Restricted Application added a subscriber: revi. · View Herald Transcript

Before @Urbanecm implements this, I want to check two things:

  • @kostajh -- does this look okay to you? Will all the EventLogging work out okay?
  • @nettrom_WMF -- do you think it will be better to manage the change to the "guide" link if the name in the configuration also changes? Or should we leave it as "guide" because its destination hasn't changed? We may want to look at the difference in traffic before and after the change was made.

@nettrom_WMF -- do you think it will be better to manage the change to the "guide" link if the name in the configuration also changes? Or should we leave it as "guide" because its destination hasn't changed? We may want to look at the difference in traffic before and after the change was made.

I think we should keep the symbolical name "guide" for it, that makes the analysis easier. And yeah, we'll be wanting to look at the difference in traffic for that link in particular, the added "image" link, and also for link clicks in general around the time this change happens.

In T217391's description, @MMiller_WMF wrote:

We also see that Korean's second most popular link is a quick tutorial, which links to this page. It's possible that the fact that it is labeled with "quick" and "tutorial" is attractive to newcomers. We should change the label on the "guide" > link to be say "quick tutorial" because that is an accurate description of what it contains and potentially may be clearer for newcomers.

Well, there are two Czech words that can be used as the description. The first (and currently used) one is "průvodce", which matches page's title and also the content. The second one is "tutoriál", which is somehow exact translation of English word "tutorial". I'm not sure how different would be understanding of the "tutoriál" word, I just wanted to describe the possibilities, so we can decide together.

In T217391's description, @MMiller_WMF wrote:

Replace the "notability" link with a link about adding an image that is labeled "How to add an image". That link should be called "image" in the configuration.

As far as I know, it isn't possible to vary links by editor used (I guess T211117 exists for this?). Cswiki has one page for images in the visual editor and second page for images in the source editor. My question is: Should we block this task until varying links per editor is possible or use one of the pages (and possibly add a prominent link to the second one as a backup solution)? What do you think?

@Urbanecm -- I think the important thing is that the word "quick" becomes part of the link label. So perhaps it could say "Quick guide" or "Quick tutorial". I think it would be more interesting to also change to "tutorial" so that more has changed and we might see more of a difference.

For the images link, that's right -- we can't vary links by context yet. I think we should use the page for adding images in visual editor, since that's the editor we want newcomers to use. I also like your idea of linking the pages to each other. Maybe at the top of both pages, you can add something like, "To learn how to add images using the source editor, click here." and "To learn how to add images using the visual editor, click here."

What do you think of this? I think you said you wanted to make this patch, so whenever you're ready is fine with us.

I'll upload a patch soon, just wanted to ask you a few thungs first. Thanks for your answers!

Change 494668 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add "how to add a photo" link instead of notability

https://gerrit.wikimedia.org/r/494668

Urbanecm triaged this task as Normal priority.Mar 6 2019, 9:14 AM

Change 494668 merged by jenkins-bot:
[operations/mediawiki-config@master] Change links in cswiki Help Panel

https://gerrit.wikimedia.org/r/494668

Mentioned in SAL (#wikimedia-operations) [2019-03-06T12:41:48Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:494668|Change links in cswiki Help Panel (T217391)]] (duration: 00m 55s)

Deployed on production.

MMiller_WMF closed this task as Resolved.Mar 6 2019, 10:46 PM

This looks good to me. Thanks, @Urbanecm!

We'll remember for our analysis that links here changed. Our hypothesis is that Czech link-clicks will increase and questions will decrease. FYI @nettrom_WMF.